$kind: http-request
url: "{{KB_Local}}/promocodes/create"
method: POST
body:
  type: json
  content: "{\r

    \    \"code\": \"KBEJdSTKW002\",\r

    \    \"applies_to\": \"User\",// DealType,Purpose,Category, Specific,
    Country, City, Locality, Property, User\r

    \    \"applies_to_id\":4,\r

    \    \"has_banner\":false,//true\r

    \    \"discount_type\": \"amount\",//amount or percentage default %ge\r

    \    \"discount\": 10,\r

    \    \"usage_limit\":0,//How many times the code gets used\r

    \    \"auto_apply\":false,\r

    \    \"start_date\":\"2025-02-15\",\r

    \    \"expiry_date\":\"2025-02-18\",\r

    \    \"promo_text\":\"\"//nullable\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{KBTOKEN_LOCAL}}"
order: 1000
